Create a tag
POST
/api/v3/contacts/tags
const url = 'https://api.tryletterhead.com/api/v3/contacts/tags';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"name":"engaged-readers","color":"#4287f5"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/contacts/tags \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "name": "engaged-readers", "color": "#4287f5" }'Creates a new tag for your company audience, with an optional display color. Once created, apply the tag to contacts with Update a contact, Apply tags to matching, or Apply a tag to matching contacts.
This is a company-level (v3) write. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled βAuthorizations βRequest Body required
Section titled βRequest Body required β Media type application/json
object
api
Required. Set to true to authenticate with an API key.
boolean
name
required
Letters, numbers, hyphens, underscores, and spaces only.
string
color
required
A hex color, e.g. #4287f5.
string
Example
{ "api": true, "name": "engaged-readers", "color": "#4287f5"}Responses
Section titled β Responses βTag created
Media type application/json
object
items
object
id
integer
name
string
color
string
createdAt
string
updatedAt
string
message
string
total
integer
Example
{ "items": { "id": 7, "name": "engaged-readers", "color": "#4287f5", "createdAt": "2026-08-30T15:01:21+00:00", "updatedAt": "2026-08-30T15:01:21+00:00" }, "message": "Tag created.", "total": 1}Still can’t find what you need? Contact support.